Retrieve aggregated DEX trading statistics for a token over a specified time period.
GET /tokens/{address}/dex_stats
Path Parameters
string
required
Token contract address.
Query Parameters
string
required
Blockchain network where the token is deployed.
string
required
Time period over which DEX statistics are aggregatedAvailable values: 1h ,6h12h , 1d ,3d7d
Code Examples
# Replace with your actual API key from the DEXUtils platformcurl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/dex_stats?chain=ethereum&period=7d" \ -H "API-KEY: apikey"
import requests# Replace with your actual API key from the DEXUtils platformaddress = "0x6982508145454ce325ddbe47a25d4ec3d2311933"url = f"https://api.dexutils.io/v1/tokens/{address}/dex_stats"headers = {"API-KEY": "apikey"}params = { "chain": "ethereum", "period": "7d",}response = requests.get(url, headers=headers, params=params)res = response.json()
Response Fields
float
Total buy volume during the selected period.
integer
Total number of buy transactions.
integer
Number of unique wallets that executed buy transactions.
float
Total sell volume during the selected period.
integer
Total number of sell transactions.
integer
Number of unique wallets that executed sell transactions.